Zum Hauptinhalt springen

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

GET /discovery

Dieser Endpunkt gibt eine Liste aller URL-Discovery-Jobs zurück, die vom authentifizierten Nutzer gestartet wurden.

Abfrageparameter

status
string
Filter nach Status: pending, processing, completed oder failed.
limit
number
Standard:"20"
Anzahl der Ergebnisse pro Seite (max. 100).

Antwort

jobs
array
Array von Discovery-Job-Objekten.
total
number
Gesamtanzahl der Discovery-Jobs.
curl -X GET https://api.llmgenerator.com/api/v1/discovery \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "jobs": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "url": "https://example.com",
      "type": "full",
      "status": "completed",
      "urlsFound": 47,
      "createdAt": "2026-01-20T10:00:00.000Z"
    },
    {
      "id": "660e8400-e29b-41d4-a716-446655440001",
      "url": "https://another-example.com",
      "type": "sitemap",
      "status": "processing",
      "urlsFound": 12,
      "createdAt": "2026-01-21T11:00:00.000Z"
    }
  ],
  "total": 2
}